<?php

declare(strict_types=1);

\main_tts\registry::get('di')->register('db_mocker', function($args) {    
    try {
      return new PDO('sqlite::memory:');
    } catch (PDOException $e) {
      echo $e->getMessage();
    } catch (Exception $e) {
      echo $e->getMessage();
    }
});